Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface Hl7v2Package.Literals

Enclosing interface:
  Hl7v2Package

    public static interface Hl7v2Package.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CX` The meta object literal for the '`CX`' class.
`static org.eclipse.emf.ecore.EAttribute` | `CX__ASSIGNING_AUTHORITY_NAME` The meta object literal for the 'Assigning Authority Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID` The meta object literal for the 'Assigning Authority Universal Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE` The meta object literal for the 'Assigning Authority Universal Id Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CX__ID_NUMBER` The meta object literal for the 'Id Number' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CX` The meta object literal for the 'Cx' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__DTM` The meta object literal for the 'Dtm' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SOURCE_PATIENT_INFO` The meta object literal for the 'Source Patient Info' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XAD` The meta object literal for the 'Xad' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XCN` The meta object literal for the 'Xcn' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XON` The meta object literal for the 'Xon' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XPN` The meta object literal for the 'Xpn' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XTN` The meta object literal for the 'Xtn' containment reference feature.
`static org.eclipse.emf.ecore.EDataType` | `DTM` The meta object literal for the 'DTM' data type.
`static org.eclipse.emf.ecore.EDataType` | `OID` The meta object literal for the 'Oid' data type.
`static org.eclipse.emf.ecore.EClass` | `SOURCE_PATIENT_INFO_TYPE` The meta object literal for the '`Source Patient Info Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS` The meta object literal for the 'Patient Address' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH` The meta object literal for the 'Patient Date Of Birth' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER` The meta object literal for the 'Patient Identifier' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME` The meta object literal for the 'Patient Name' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS` The meta object literal for the 'Patient Phone Business' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME` The meta object literal for the 'Patient Phone Home' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX` The meta object literal for the 'Patient Sex' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `XAD` The meta object literal for the '`XAD`' class.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__CITY` The meta object literal for the 'City' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__COUNTRY` The meta object literal for the 'Country' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__COUNTY_PARISH_CODE` The meta object literal for the 'County Parish Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__OTHER_DESIGNATION` The meta object literal for the 'Other Designation' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__STATE_OR_PROVINCE` The meta object literal for the 'State Or Province' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__STREET_ADDRESS` The meta object literal for the 'Street Address' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XAD__ZIP_OR_POSTAL_CODE` The meta object literal for the 'Zip Or Postal Code' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `XCN` The meta object literal for the '`XCN`' class.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__ASSIGNING_AUTHORITY_NAME` The meta object literal for the 'Assigning Authority Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID` The meta object literal for the 'Assigning Authority Universal Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE` The meta object literal for the 'Assigning Authority Universal Id Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__FAMILY_NAME` The meta object literal for the 'Family Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__GIVEN_NAME` The meta object literal for the 'Given Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__ID_NUMBER` The meta object literal for the 'Id Number' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__OTHER_NAME` The meta object literal for the 'Other Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__PREFIX` The meta object literal for the 'Prefix' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XCN__SUFFIX` The meta object literal for the 'Suffix' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `XON` The meta object literal for the '`XON`' class.
`static org.eclipse.emf.ecore.EAttribute` | `XON__ASSIGNING_AUTHORITY_NAME` The meta object literal for the 'Assigning Authority Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID` The meta object literal for the 'Assigning Authority Universal Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE` The meta object literal for the 'Assigning Authority Universal Id Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XON__ID_NUMBER` The meta object literal for the 'Id Number' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XON__ORGANIZATION_NAME` The meta object literal for the 'Organization Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `XPN` The meta object literal for the '`XPN`' class.
`static org.eclipse.emf.ecore.EAttribute` | `XPN__FAMILY_NAME` The meta object literal for the 'Family Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XPN__GIVEN_NAME` The meta object literal for the 'Given Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XPN__OTHER_NAME` The meta object literal for the 'Other Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XPN__PREFIX` The meta object literal for the 'Prefix' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `XPN__SUFFIX` The meta object literal for the 'Suffix' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `XTN` The meta object literal for the '`XTN`' class.
`static org.eclipse.emf.ecore.EAttribute` | `XTN__UNFORMATTED_TELEPHONE_NUMBER` The meta object literal for the 'Unformatted Telephone Number' attribute feature.

Field Detail

### CX

    static final org.eclipse.emf.ecore.EClass CX

  The meta object literal for the '`CX`' class.

  See Also:
    `CXImpl`, `Hl7v2PackageImpl.getCX()`

### CX__ID_NUMBER

    static final org.eclipse.emf.ecore.EAttribute CX__ID_NUMBER

  The meta object literal for the 'Id Number' attribute feature.

### CX__ASSIGNING_AUTHORITY_NAME

    static final org.eclipse.emf.ecore.EAttribute CX__ASSIGNING_AUTHORITY_NAME

  The meta object literal for the 'Assigning Authority Name' attribute feature.

### CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID

    static final org.eclipse.emf.ecore.EAttribute CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID

  The meta object literal for the 'Assigning Authority Universal Id' attribute feature.

### CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

    static final org.eclipse.emf.ecore.EAttribute CX__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

  The meta object literal for the 'Assigning Authority Universal Id Type' attribute feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `Hl7v2PackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__CX

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CX

  The meta object literal for the 'Cx' containment reference feature.

### DOCUMENT_ROOT__DTM

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__DTM

  The meta object literal for the 'Dtm' attribute feature.

### DOCUMENT_ROOT__SOURCE_PATIENT_INFO

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SOURCE_PATIENT_INFO

  The meta object literal for the 'Source Patient Info' containment reference feature.

### DOCUMENT_ROOT__XAD

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XAD

  The meta object literal for the 'Xad' containment reference feature.

### DOCUMENT_ROOT__XCN

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XCN

  The meta object literal for the 'Xcn' containment reference feature.

### DOCUMENT_ROOT__XON

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XON

  The meta object literal for the 'Xon' containment reference feature.

### DOCUMENT_ROOT__XPN

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XPN

  The meta object literal for the 'Xpn' containment reference feature.

### DOCUMENT_ROOT__XTN

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XTN

  The meta object literal for the 'Xtn' containment reference feature.

### SOURCE_PATIENT_INFO_TYPE

    static final org.eclipse.emf.ecore.EClass SOURCE_PATIENT_INFO_TYPE

  The meta object literal for the '`Source Patient Info Type`' class.

  See Also:
    `SourcePatientInfoTypeImpl`, `Hl7v2PackageImpl.getSourcePatientInfoType()`

### SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER

    static final org.eclipse.emf.ecore.EReference SOURCE_PATIENT_INFO_TYPE__PATIENT_IDENTIFIER

  The meta object literal for the 'Patient Identifier' containment reference list feature.

### SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME

    static final org.eclipse.emf.ecore.EReference SOURCE_PATIENT_INFO_TYPE__PATIENT_NAME

  The meta object literal for the 'Patient Name' containment reference list feature.

### SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH

    static final org.eclipse.emf.ecore.EAttribute SOURCE_PATIENT_INFO_TYPE__PATIENT_DATE_OF_BIRTH

  The meta object literal for the 'Patient Date Of Birth' attribute feature.

### SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX

    static final org.eclipse.emf.ecore.EAttribute SOURCE_PATIENT_INFO_TYPE__PATIENT_SEX

  The meta object literal for the 'Patient Sex' attribute feature.

### SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS

    static final org.eclipse.emf.ecore.EReference SOURCE_PATIENT_INFO_TYPE__PATIENT_ADDRESS

  The meta object literal for the 'Patient Address' containment reference feature.

### SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME

    static final org.eclipse.emf.ecore.EReference SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_HOME

  The meta object literal for the 'Patient Phone Home' containment reference feature.

### SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS

    static final org.eclipse.emf.ecore.EReference SOURCE_PATIENT_INFO_TYPE__PATIENT_PHONE_BUSINESS

  The meta object literal for the 'Patient Phone Business' containment reference feature.

### XAD

    static final org.eclipse.emf.ecore.EClass XAD

  The meta object literal for the '`XAD`' class.

  See Also:
    `XADImpl`, `Hl7v2PackageImpl.getXAD()`

### XAD__STREET_ADDRESS

    static final org.eclipse.emf.ecore.EAttribute XAD__STREET_ADDRESS

  The meta object literal for the 'Street Address' attribute feature.

### XAD__OTHER_DESIGNATION

    static final org.eclipse.emf.ecore.EAttribute XAD__OTHER_DESIGNATION

  The meta object literal for the 'Other Designation' attribute feature.

### XAD__CITY

    static final org.eclipse.emf.ecore.EAttribute XAD__CITY

  The meta object literal for the 'City' attribute feature.

### XAD__STATE_OR_PROVINCE

    static final org.eclipse.emf.ecore.EAttribute XAD__STATE_OR_PROVINCE

  The meta object literal for the 'State Or Province' attribute feature.

### XAD__ZIP_OR_POSTAL_CODE

    static final org.eclipse.emf.ecore.EAttribute XAD__ZIP_OR_POSTAL_CODE

  The meta object literal for the 'Zip Or Postal Code' attribute feature.

### XAD__COUNTRY

    static final org.eclipse.emf.ecore.EAttribute XAD__COUNTRY

  The meta object literal for the 'Country' attribute feature.

### XAD__COUNTY_PARISH_CODE

    static final org.eclipse.emf.ecore.EAttribute XAD__COUNTY_PARISH_CODE

  The meta object literal for the 'County Parish Code' attribute feature.

### XCN

    static final org.eclipse.emf.ecore.EClass XCN

  The meta object literal for the '`XCN`' class.

  See Also:
    `XCNImpl`, `Hl7v2PackageImpl.getXCN()`

### XCN__ID_NUMBER

    static final org.eclipse.emf.ecore.EAttribute XCN__ID_NUMBER

  The meta object literal for the 'Id Number' attribute feature.

### XCN__FAMILY_NAME

    static final org.eclipse.emf.ecore.EAttribute XCN__FAMILY_NAME

  The meta object literal for the 'Family Name' attribute feature.

### XCN__GIVEN_NAME

    static final org.eclipse.emf.ecore.EAttribute XCN__GIVEN_NAME

  The meta object literal for the 'Given Name' attribute feature.

### XCN__OTHER_NAME

    static final org.eclipse.emf.ecore.EAttribute XCN__OTHER_NAME

  The meta object literal for the 'Other Name' attribute feature.

### XCN__SUFFIX

    static final org.eclipse.emf.ecore.EAttribute XCN__SUFFIX

  The meta object literal for the 'Suffix' attribute feature.

### XCN__PREFIX

    static final org.eclipse.emf.ecore.EAttribute XCN__PREFIX

  The meta object literal for the 'Prefix' attribute feature.

### XCN__ASSIGNING_AUTHORITY_NAME

    static final org.eclipse.emf.ecore.EAttribute XCN__ASSIGNING_AUTHORITY_NAME

  The meta object literal for the 'Assigning Authority Name' attribute feature.

### XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID

    static final org.eclipse.emf.ecore.EAttribute XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID

  The meta object literal for the 'Assigning Authority Universal Id' attribute feature.

### XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

    static final org.eclipse.emf.ecore.EAttribute XCN__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

  The meta object literal for the 'Assigning Authority Universal Id Type' attribute feature.

### XON

    static final org.eclipse.emf.ecore.EClass XON

  The meta object literal for the '`XON`' class.

  See Also:
    `XONImpl`, `Hl7v2PackageImpl.getXON()`

### XON__ORGANIZATION_NAME

    static final org.eclipse.emf.ecore.EAttribute XON__ORGANIZATION_NAME

  The meta object literal for the 'Organization Name' attribute feature.

### XON__ID_NUMBER

    static final org.eclipse.emf.ecore.EAttribute XON__ID_NUMBER

  The meta object literal for the 'Id Number' attribute feature.

### XON__ASSIGNING_AUTHORITY_NAME

    static final org.eclipse.emf.ecore.EAttribute XON__ASSIGNING_AUTHORITY_NAME

  The meta object literal for the 'Assigning Authority Name' attribute feature.

### XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID

    static final org.eclipse.emf.ecore.EAttribute XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID

  The meta object literal for the 'Assigning Authority Universal Id' attribute feature.

### XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

    static final org.eclipse.emf.ecore.EAttribute XON__ASSIGNING_AUTHORITY_UNIVERSAL_ID_TYPE

  The meta object literal for the 'Assigning Authority Universal Id Type' attribute feature.

### XPN

    static final org.eclipse.emf.ecore.EClass XPN

  The meta object literal for the '`XPN`' class.

  See Also:
    `XPNImpl`, `Hl7v2PackageImpl.getXPN()`

### XPN__FAMILY_NAME

    static final org.eclipse.emf.ecore.EAttribute XPN__FAMILY_NAME

  The meta object literal for the 'Family Name' attribute feature.

### XPN__GIVEN_NAME

    static final org.eclipse.emf.ecore.EAttribute XPN__GIVEN_NAME

  The meta object literal for the 'Given Name' attribute feature.

### XPN__OTHER_NAME

    static final org.eclipse.emf.ecore.EAttribute XPN__OTHER_NAME

  The meta object literal for the 'Other Name' attribute feature.

### XPN__SUFFIX

    static final org.eclipse.emf.ecore.EAttribute XPN__SUFFIX

  The meta object literal for the 'Suffix' attribute feature.

### XPN__PREFIX

    static final org.eclipse.emf.ecore.EAttribute XPN__PREFIX

  The meta object literal for the 'Prefix' attribute feature.

### XTN

    static final org.eclipse.emf.ecore.EClass XTN

  The meta object literal for the '`XTN`' class.

  See Also:
    `XTNImpl`, `Hl7v2PackageImpl.getXTN()`

### XTN__UNFORMATTED_TELEPHONE_NUMBER

    static final org.eclipse.emf.ecore.EAttribute XTN__UNFORMATTED_TELEPHONE_NUMBER

  The meta object literal for the 'Unformatted Telephone Number' attribute feature.

### DTM

    static final org.eclipse.emf.ecore.EDataType DTM

  The meta object literal for the 'DTM' data type.

  See Also:
    `String`, `Hl7v2PackageImpl.getDTM()`

### OID

    static final org.eclipse.emf.ecore.EDataType OID

  The meta object literal for the 'Oid' data type.

  See Also:
    `String`, `Hl7v2PackageImpl.getOid()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD